com.threerings.parlor.server

## Interface ParlorProvider

All Superinterfaces:
  com.threerings.presents.server.InvocationProvider

All Known Implementing Classes:
  ParlorManager

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from ParlorService.java.")
    public interface ParlorProvider
    extends com.threerings.presents.server.InvocationProvider

Defines the server-side of the `ParlorService`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `cancel(com.threerings.presents.data.ClientObject caller, int arg1, com.threerings.presents.client.InvocationService.InvocationListener arg2)` Handles a `ParlorService.cancel(int, com.threerings.presents.client.InvocationService.InvocationListener)` request.
`void` `invite(com.threerings.presents.data.ClientObject caller, com.threerings.util.Name arg1, GameConfig arg2, ParlorService.InviteListener arg3)` Handles a `ParlorService.invite(com.threerings.util.Name, com.threerings.parlor.game.data.GameConfig, com.threerings.parlor.client.ParlorService.InviteListener)` request.
`void` `respond(com.threerings.presents.data.ClientObject caller, int arg1, int arg2, Object arg3, com.threerings.presents.client.InvocationService.InvocationListener arg4)` Handles a `ParlorService.respond(int, int, java.lang.Object, com.threerings.presents.client.InvocationService.InvocationListener)` request.
`void` `startSolitaire(com.threerings.presents.data.ClientObject caller, GameConfig arg1, com.threerings.presents.client.InvocationService.ConfirmListener arg2)` Handles a `ParlorService.startSolitaire(com.threerings.parlor.game.data.GameConfig, com.threerings.presents.client.InvocationService.ConfirmListener)` request.

### Method Detail

#### cancel

    void cancel(com.threerings.presents.data.ClientObject caller,
                int arg1,
                com.threerings.presents.client.InvocationService.InvocationListener arg2)
         throws com.threerings.presents.server.InvocationException

Handles a `ParlorService.cancel(int, com.threerings.presents.client.InvocationService.InvocationListener)` request.

Throws:
  `com.threerings.presents.server.InvocationException`

#### invite

    void invite(com.threerings.presents.data.ClientObject caller,
                com.threerings.util.Name arg1,
                GameConfig arg2,
                ParlorService.InviteListener arg3)
         throws com.threerings.presents.server.InvocationException

Handles a `ParlorService.invite(com.threerings.util.Name, com.threerings.parlor.game.data.GameConfig, com.threerings.parlor.client.ParlorService.InviteListener)` request.

Throws:
  `com.threerings.presents.server.InvocationException`

#### respond

    void respond(com.threerings.presents.data.ClientObject caller,
                 int arg1,
                 int arg2,
                 Object arg3,
                 com.threerings.presents.client.InvocationService.InvocationListener arg4)
          throws com.threerings.presents.server.InvocationException

Handles a `ParlorService.respond(int, int, java.lang.Object, com.threerings.presents.client.InvocationService.InvocationListener)` request.

Throws:
  `com.threerings.presents.server.InvocationException`

#### startSolitaire

    void startSolitaire(com.threerings.presents.data.ClientObject caller,
                        GameConfig arg1,
                        com.threerings.presents.client.InvocationService.ConfirmListener arg2)
                 throws com.threerings.presents.server.InvocationException

Handles a `ParlorService.startSolitaire(com.threerings.parlor.game.data.GameConfig, com.threerings.presents.client.InvocationService.ConfirmListener)` request.

Throws:
  `com.threerings.presents.server.InvocationException`